View Issue Details

IDProjectCategoryView StatusLast Update
0000002luatexluatex bugpublic2008-03-17 14:06
ReporterarthurAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.2 
Target VersionFixed in Version 
Summary0000002: texio.write truncates strings at a fixed position
DescriptionOn some architectures, texio.write truncates strings at a fixed position, and inserts a line feed (usually every 80 characters, including the latter). Messages from LuaTeX and macro packages that are output with this function then seem to be cut arbitrarily.

The error has been reported on Intel Mac (strings truncated each 79 characters + line feed) and PowerPC Mac (255 chars + line feed).

To reproduce it: try

\directlua0{texio.write_nl("term and log", "Rinderkennzeichnungs- und Rindfleischetikettierungsüberwachungsaufgabenübertragungsgesetz")}

in *plain* LuaTeX (on a single line, obviously). On Intel Mac, the word is cut before the ‘a’ in “Übertragung”.
Additional InformationBy “character”, I probably mean byte.
TagsNo tags attached.

Activities

oneiros

2008-02-12 17:26

developer   ~0000001

Could this be a result of max_print_line in texmf.cnf?

arthur

2008-02-12 17:34

developer   ~0000002

Yes, indeed. So it's not a LuaTeX but at all, after all ...

And thanks! It has annoyed me for quite a while, but I didn't know where it came from (and various people I showed it couldn't find out either).

Taco

2008-02-12 17:37

administrator   ~0000003

Last edited: 2008-02-12 17:37

Martin is right, this is not really a bug. It is a side-effect of texio.write being a front-end to tex's own logging routine. The effect is not architecture-dependant, it depends on the value of max_print_line in texmf.cnf.

oneiros

2008-02-12 17:37

developer   ~0000004

Not a luatex bug, but a web2c feature.

Issue History

Date Modified Username Field Change
2008-02-12 16:34 arthur New Issue
2008-02-12 17:26 oneiros Note Added: 0000001
2008-02-12 17:34 arthur Note Added: 0000002
2008-02-12 17:37 Taco Note Added: 0000003
2008-02-12 17:37 oneiros Status new => closed
2008-02-12 17:37 oneiros Note Added: 0000004
2008-02-12 17:37 oneiros Resolution open => fixed
2008-02-12 17:37 Taco Note Edited: 0000003
2008-02-16 09:03 Taco Status closed => resolved
2008-02-16 09:03 Taco Assigned To => Taco
2008-03-17 14:06 Taco Status resolved => closed